/*
 * hal_context.c - implementation of Thread Context API for TSAR-MIPS32
 * 
 * Author  Alain Greiner    (2016)
 *
 * Copyright (c)  UPMC Sorbonne Universites
 * 
 * This file is part of ALMOS-MKH.
 *
 * ALMOS-MKH.is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2.0 of the License.
 *
 * ALMOS-MKH.is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ALMOS-MKH.; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

#include <hal_types.h>
#include <memcpy.h>
#include <thread.h>
#include <string.h>
#include <process.h>
#include <printk.h>
#include <vmm.h>
#include <core.h>
#include <cluster.h>

#include <hal_context.h>

error_t hal_cpu_context_create( struct thread_s * thread )
{
    return 0;
}

error_t hal_cpu_context_copy( thread_t * dst,
                              thread_t * src )
{
    return 0;
}

void hal_cpu_context_destroy( thread_t * thread )
{


}

error_t hal_fpu_context_create( thread_t * thread )
{
    return 0;
}

error_t hal_fpu_context_copy( thread_t * dst,
                              thread_t * src )
{
    return 0;
}

void hal_fpu_context_destroy( thread_t * thread )
{

}

void hal_cpu_context_save( thread_t * thread )
{

}
  
void hal_cpu_context_restore( thread_t * thread )
{

}

void hal_cpu_context_load( thread_t * thread )
{

}

void hal_fpu_context_save( thread_t * thread )
{

}

void hal_fpu_context_restore( thread_t * thread )
{

}

void hal_fpu_context_dup( xptr_t dst,
                          xptr_t src )
{

}

